Skip to main content
PUT
Update category activation

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required

Organization identifier.

Required string length: 24
Pattern: ^[0-9a-f]{24}$

Body

application/json
category
string
required
Minimum string length: 1
mode
enum<string>
Available options:
discovery,
reactive,
proactive
diagnosis_enabled
boolean
effort
enum<string>
Available options:
low,
medium,
high
max_wall_clock_seconds
integer
Required range: x >= 1
max_usd
number
Required range: x >= 0
restore_behaviour_fields
enum<string>[]
Available options:
mode,
effort,
max_wall_clock_seconds,
max_usd

Response

OK

The response is of type object.